# -*- coding: utf-8 -*-

from Components.config import config, ConfigSubsection, ConfigOnOff, ConfigDirectory, ConfigNumber, ConfigSelection, ConfigYesNo, ConfigText, ConfigInteger, ConfigSelectionNumber
from enigma import getDesktop

# Initialize Configuration
config.plugins.pipchannelselection = ConfigSubsection()
config.plugins.pipchannelselection.enable = ConfigYesNo(default = False)
config.plugins.pipchannelselection.pipPosX = ConfigInteger(50, limits =(0,1920))
config.plugins.pipchannelselection.pipPosY = ConfigInteger(50, limits =(0,1280))
config.plugins.pipchannelselection.pipSizeHeight = ConfigInteger(200, limits =(0,400))
config.plugins.pipchannelselection.pipSizeWidth = ConfigInteger(355, limits =(0,600))